Subject: RE: [mobile-ip] Security Requirements Draft

From: "Patil Basavaraj (NET/Dallas)" <[email-masked]>
Date: Fri, 28 Sep 2001 17:18:23 -0500

Glenn,
 
>
>Hello, 
>
>In draft, 
> 
>draft-ietf-mobileip-mipv6-scrty-reqts-00.txt
>there are a list of assumptions detailed in section 1.1. Paraphrased
>they are:  
>
>1> MN and HA have pre-arranged SA. 
>2> No pre-arranged SA between MN and CA. 
>
>I would like to float another proposed assumption and get feedback on
this. 
>
>3> That there is some sort of SA (perhaps dynamically created at
>initial access) between the ARs and the MN in the visited subnet. 
>
>
 
I guess the reason for having such an SA with an AR and the MN is for
the AR to take on the role of a Home Agent when the MN moves and sends
a BU to the AR on the previous link. There needs to be an SA between
the MN and this AR since the BU needs to be authenticated. However I
do not believe we should assume that this is somehow setup. There
needs to be a mechanism for setting up this SA. It could be
accomplished via the same mechanism that would be used for setting up
a dynamic SA between the MN and the CN. So I would prefer not to make
an assumption about the existence of such an SA.
 
>Comments, please. 
>Glenn 
 
-Basavaraj